Issue 84924 - font size in table control
Summary: font size in table control
Status: CLOSED FIXED
Alias: None
Product: Base
Classification: Application
Component: code (show other issues)
Version: OOo 2.3.1
Hardware: PC Windows XP
: P3 Trivial with 2 votes (vote)
Target Milestone: OOo 3.0
Assignee: marc.neumann
QA Contact: issues@dba
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-12-31 16:37 UTC by aboba
Modified: 2008-07-28 02:46 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
Example of bug - see form (11.68 KB, application/vnd.sun.xml.base)
2007-12-31 22:41 UTC, drewjensen.inbox
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description aboba 2007-12-31 16:37:05 UTC
In a form that uses a table control the font size has been set to 10.5 (slightly
larger than the default font) on the general properties tab of the table control.

Whenever a given cell of the table control has focus the font size in that cell
becomes smaller.

The font size of the active cell in the table control shouldn't change when that
cell has focus.

Note this change also occurs in columns that use combo boxes.
Comment 1 dan_lewis 2007-12-31 16:51:15 UTC
When the subform is created as a data sheet and a larger font is selected for 
the fields, clicking on a cell causes the font size to revert to a "default" 
size. This is true for the Debian version of OOo downloaded from the OOo web 
site.
Comment 2 drewjensen.inbox 2007-12-31 22:39:42 UTC
I can confirm this using 2.3.1 on XP and Ubuntu 7.1

Comment 3 drewjensen.inbox 2007-12-31 22:41:24 UTC
Created attachment 50611 [details]
Example of bug - see form
Comment 4 nickbower 2008-01-02 01:26:08 UTC
It's broken all the way back in 2.1.  The first time I try and give OO Base a go
for something useful, I run into a problem where the text is so small when
editing on a high res monitor, the whole app is unusable.

Googling on how to change OO Base's default font size turns up nothing either. 
Perhaps someone could post the work-around here.
Comment 5 Frank Schönheit 2008-01-02 09:19:18 UTC
grabbing and targeting.

No, there is no workaround (none I know, that is).
Comment 6 Frank Schönheit 2008-03-10 13:57:57 UTC
fixed in CWS dba30b

find more information about this CWS, like when it is available in the master
builds, in EIS, the Environment Information System:
http://eis.services.openoffice.org/EIS2/cws.ShowCWS?Path=DEV300%2Fdba30b
Comment 7 Frank Schönheit 2008-03-18 22:09:13 UTC
still some issues with zoomed grid controls in various scenarios. Re-opening the
issue.
Comment 8 Frank Schönheit 2008-03-18 22:09:52 UTC
re-setting to NEW
Comment 9 Frank Schönheit 2008-06-02 09:42:04 UTC
fixed in CWS dba30d

find more information about this CWS, like when it is available in the master
builds, in EIS, the Environment Information System:
http://eis.services.openoffice.org/EIS2/cws.ShowCWS?Path=DEV300%2Fdba30d
Comment 10 Frank Schönheit 2008-06-16 10:17:28 UTC
fs-> msc: please verify in CWS dba30d
Comment 11 marc.neumann 2008-06-18 08:17:57 UTC
verified in CWS dba30d

find more information about this CWS, like when it is available in the master
builds, in EIS, the Environment Information System:
http://eis.services.openoffice.org/EIS2/cws.ShowCWS?Path=DEV300%2Fdba30d
Comment 12 drewjensen.inbox 2008-07-28 02:46:41 UTC
Tested w/DEV300 m27, XP

Closing